# Generated by Django 2.2.5 on 2019-11-30 10:42

from django.db import migrations, models
import django.db.models.deletion
import imagekit.models.fields
import openbook_common.validators
import openbook_hashtags.helpers
import openbook_hashtags.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('openbook_posts', '0066_auto_20191129_1630'),
        ('openbook_common', '0021_auto_20190917_1806'),
    ]

    operations = [
        migrations.CreateModel(
            name='Hashtag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, unique=True, validators=[openbook_hashtags.validators.hashtag_name_validator], verbose_name='name')),
                ('color', models.CharField(max_length=7, validators=[openbook_common.validators.hex_color_validator], verbose_name='color')),
                ('created', models.DateTimeField(editable=False)),
                ('width', models.PositiveIntegerField(editable=False, null=True)),
                ('height', models.PositiveIntegerField(editable=False, null=True)),
                ('image', imagekit.models.fields.ProcessedImageField(blank=True, height_field='height', null=True, upload_to=openbook_hashtags.helpers.upload_to_hashtags_directory, verbose_name='image', width_field='width')),
                ('emoji', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='hashtags', to='openbook_common.Emoji')),
                ('post_comments', models.ManyToManyField(related_name='hashtags', to='openbook_posts.PostComment')),
                ('posts', models.ManyToManyField(related_name='hashtags', to='openbook_posts.Post')),
            ],
        ),
    ]
